---
title: "Gestion de contenu"
description: "Bienvenue dans Nextcloud : Un espace sécurisé pour toutes vos données."
summary: ""
date: 2023-09-07T16:04:48+02:00
lastmod: 2023-09-07T16:04:48+02:00
draft: false
weight: 510
toc: true
seo:
  title: "" # custom title (optional)
  description: "" # custom description (recommended)
  canonical: "" # custom canonical URL (optional)
  noindex: false # false (default) or true
---

{{< informations service="directus" >}}

## Présentation de Directus

> [Directus](https://directus.io/) est une plateforme de données ouverte conçue pour démocratiser la base de données.
>
> Cette plate-forme fournit à tous les membres de votre équipe, peu importe les compétences techniques, l'égalité d'accès aux données et la gestion des actifs de fichiers numériques, pour tout modèle ou projet de données. Tout d'abord, liez Directus à votre base de données SQL souhaitée et adaptateur de stockage de fichiers. Après cela, Directus vous permet d'effectuer des opérations <abbr title="Create (créer), Read (lire), Update (mettre à jour), Delete (supprimer)">CRUD</abbr>, de créer des utilisateurs, d'attribuer des rôles avec des permissions entièrement configurables, de construire des requêtes complexes et granulaires, de configurer des <abbr title="Les webhooks permettent de déclencher une action suite à un événement. Ils sont généralement utilisés pour faire communiquer des systèmes entre eux. C’est la façon la plus simple de recevoir une alerte lorsque quelque chose se produit dans un autre système.">webhooks</abbr> animés par des événements et l'automatisation des tâches... la liste continue !
>
> ### Introspection de la base de données & Abstraction
> Les saveurs SQL viennent toutes avec des types de données légèrement différents et des idiosyncrasies. Directus utilise Database Introspection pour lire votre structure de base de données et créer une couche d'abstraction pour gérer tous les détails nitty-gritty en coulisses. Cette technique fonctionne parfaitement avec toute base de données SQL majeure. Il vous permet également de lier Directus à votre base de données nouvelle ou préexistante ou de la supprimer à tout moment, sans impact sur votre modèle de données existant. Cela signifie que vous ne rencontrerez jamais le vendeur verrouillé.
>
> ### L'application et les API
> Une fois votre base de données introspectée et abstraite, Directus génère dynamiquement les paramètres d'API REST et GraphQL pour gérer vos données avec un contrôle granulaire. Vous obtenez de plus des outils CLI pour la gestion de fichiers et un SDK JavaScript complet.
>
> L'API et CLI alimentent l'application sans code. En d'autres termes, l'application n'est qu'une interface graphique qui fournit un accès sans code à l'API. Cette architecture permet à Directus de démocratiser la base de données et de contrôler toute l'équipe.
>
> ### Source ouverte, modulaire, extensible, évolutive
> Au plus haut niveau, Directus organise ses fonctionnalités en modules. Chaque module vous permet d'interagir avec les données d'une manière spécifique, comme la gestion des données et du contenu, la gestion des actifs de fichiers numériques, la création de tableaux de bord analytiques, de glisser-déposer ou autre. Si vous trouvez que Directus manque quelque chose dont votre projet a besoin, aucun problème !
>
> Construit entièrement dans Typescript, principalement sur Node.js et Vue.js, Directus est 100% open-source, modulaire et extensible, garantissant que votre projet ne touche jamais un plafond de fonctionnalités difficiles. La plateforme s'échelle sans problème, et certains Projets ont des centaines de millions d'utilisateurs.
>
> Vous pouvez l'utiliser avec n'importe quelle _stack_ ou _framework frontend_.
>
> ### Options de configuration personnalisées
> De nombreuses options de configuration sont également disponibles en tant que variables globales dans la base de codes. Les développeurs peuvent configurer sur mesure la méthode d'authentification SSO, les détails de cache, l'emplacement de stockage de fichiers par défaut (local, S3, Google, etc.) pour les actifs numériques, les courriels et les muc
>
> <cite>Traduction de [la présentation](https://docs.directus.io/getting-started/introduction.html) par Directus</cite>
